Package org.eclipse.emf.compare.internal.dmp

# Enum Class diff_match_patch.Operation

java.lang.Object
java.lang.Enum<diff_match_patch.Operation>
org.eclipse.emf.compare.internal.dmp.diff_match_patch.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<diff_match_patch.Operation>`, `java.lang.constant.Constable`

Enclosing class:
  `diff_match_patch`

public static enum diff_match_patch.Operation extends Enum<diff_match_patch.Operation>
The data structure representing a diff is a Linked list of Diff objects: {Diff(Operation.DELETE, "Hello"), Diff(Operation.INSERT, "Goodbye"), Diff(Operation.EQUAL, " world.")} which means: delete "Hello", add "Goodbye" and keep " world."

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DELETE`
`EQUAL`
`INSERT`

## Method Summary

Modifier and Type
Method
Description
`static diff_match_patch.Operation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static diff_match_patch.Operation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DELETE

public static final diff_match_patch.Operation DELETE

### INSERT

public static final diff_match_patch.Operation INSERT

### EQUAL

public static final diff_match_patch.Operation EQUAL

## Method Details

### values

public static diff_match_patch.Operation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static diff_match_patch.Operation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null